#!/usr/bin/perl -w

use ListaParser;
use KurssiParser;

my $p;

my $baseUrl = "http://www.tut.fi/units/oopas/laitokset";

$laitosListaParser = ListaParser->new;

open(F, "wget -q -O - $baseUrl/ |");
while (<F>) {
  $laitosListaParser->parse($_);
}
close(F);

#####################################

for (my $laitos = 0; $laitos < @{$laitosListaParser->{data}}; $laitos++) {
#for (my $laitos = 4; $laitos < 5; $laitos++) {
  my ($laitosDir, $laitosName) = @{$laitosListaParser->{data}->[$laitos]};

  my $laitosParser = ListaParser->new;

  open(F, "wget -q -O - $baseUrl/$laitosDir |");
  while (<F>) {
    $laitosParser->parse($_);
  }
  close(F);

  for ($kurssi = 0; $kurssi < @{$laitosParser->{data}}; $kurssi++) {
#  for ($kurssi = 0; $kurssi < 1; $kurssi++) {
    my ($kurssiDir, $kurssiName) = @{$laitosParser->{data}->[$kurssi]};

    my $kurssiParser = KurssiParser->new;

    open(F, "wget -q -O - $baseUrl/$laitosDir/$kurssiDir |");
    while (<F>) {
      $kurssiParser->parse($_);
    }
    close(F);
    
    print "$kurssiParser->{kurssi}/$laitosName/$kurssiName/$kurssiParser->{luentoja}+$kurssiParser->{harjoituksia}/$kurssiParser->{ov}/@{$kurssiParser->{esitiedot}}/$kurssiParser->{ajat}\n"; 
  }
}

